#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
const ll MOD = 1e9+7;
const int N = 1005;
const int INF = 1e6;


int n,k,x,a[N];


int main(){
    ios_base::sync_with_stdio(false);cin.tie(0);cout.tie(0);
    cin>>n>>k>>x;

    if(k==0){
        for(int i=1;i<=n;i++)cout<<1<<" ";
        return 0;
    }

    for(int len=1;len<=n;len++){
        int p=len*(len-1)/2+(len-1)*(n-len);
        if(p==k){
            int pr=1;
            bool ok=true;
            a[1]=pr;
            for(int i=2;i<=len;i++){
                a[i]=pr+x;
                pr+=x;
                if(a[i]>INF)ok=false;
            }
            if(!ok)continue;
            for(int i=len+1;i<=n;i++)a[i]=a[i-1];
            for(int i=1;i<=n;i++)cout<<a[i]<<" ";
            return 0;
        }
    }
    for(int len=2;len<=n;len++){
        int p=len*(len-1)/2+(len-2)*(n-len);
        if(p==k){
            int pr=1;
            bool ok=true;
            a[1]=pr;
            for(int i=2;i<=len;i++){
                a[i]=pr+x;
                pr+=x;
                if(a[i]>INF)ok=false;
            }
            if(!ok)continue;
            for(int i=len+1;i<=n;i++)a[i]=2;
            for(int i=1;i<=n;i++)cout<<a[i]<<" ";
            return 0;
        }
    }

    for(int i=1;i<=k;i++){
        if(k%i==0){
            if(i<n&&k/i<n&&i+k/i<=n){
                for(int j=1;j<=i;j++)cout<<1<<" ";
                for(int j=i+1;j<=i+k/i;j++)cout<<x+1<<" ";
                for(int j=i+k/i+1;j<=n;j++)cout<<2<<" ";
                return 0;
            }
        }
    }

    for(int aa=1;aa<=n-2;aa++){
        for(int bb=1;bb<=n-2;bb++){
            int cc=n-aa-bb;
            int sum=aa*bb+aa*cc+bb*cc;
            if(sum==k&&aa+bb+cc==n){
                for(int i=1;i<=aa;i++)cout<<1<<" ";
                for(int i=aa+1;i<=aa+bb;i++)cout<<x+1<<" ";
                for(int i=aa+bb+1;i<=n;i++)cout<<2*x+1<<" ";
                return 0;
            }
        }
    }

    for(int aa=1;aa<=n-2;aa++){
        for(int bb=1;bb<=n-2;bb++){
            int cc=n-aa-bb;
            int sum=aa*bb+aa*cc+bb*cc;
            if(sum+aa==k){
                for(int i=1;i<=aa;i++)cout<<1<<" ";
                for(int i=aa+1;i<=aa+bb;i++)cout<<x+1<<" ";
                for(int i=aa+bb+1;i<=aa+bb+cc;i++)cout<<2*x+1<<" ";
                for(int i=aa+bb+cc+1;i<=n;i++)cout<<x+2<<" ";
            }

            if(sum+cc==k){
                for(int i=1;i<=aa;i++)cout<<1<<" ";
                for(int i=aa+1;i<=aa+bb;i++)cout<<x+1<<" ";
                for(int i=aa+bb+1;i<=aa+bb+cc;i++)cout<<2*x+1<<" ";
                for(int i=aa+bb+cc+1;i<=n;i++)cout<<2<<" ";
            }
        }
    }
    /**for(int len=1;len<=n-1;len++){
        for(int t=len+1;t<=n;t++){
            //int sum=len*(len-1)/2+len*(n-len)+(t-len)*(n-t);

            //int sum=len*(len-1)/2+(len-1)*(n-len)+(t-len)*(n-t);
            int sum=len*(len-1)/2+(len-1)*(n-len)+t*(n-t);
            cout<<len<<" "<<t<<" "<<sum<<endl;
            if(sum!=k)continue;

            int pr=1;
            a[1]=pr;
            bool ok=true;
            for(int i=2;i<=len;i++){
                a[i]=pr+x;
                pr+=x;
                if(a[i]>INF)ok=false;
            }
            if(!ok)continue;
            for(int i=len+1;i<=t;i++){
                a[i]=a[i-1];
            }
            for(int i=t+1;i<=n;i++){
                a[i]=a[i-1]+x;
                if(a[i]>INF)ok=false;
            }
            if(!ok)continue;
            for(int i=1;i<=n;i++)cout<<a[i]<<" ";
            return 0;
        }
    }
    */

    /*for(int c=1;c<=n;c++){
        for(int b=c+1;b<=n+1;b++){
            int bb=n+1-b;
            //int sum=c*(c-1)/2+bb*(bb-1)/2+(c-1)*(n-c)+(n-c-bb)*bb;
            //int sum=c*(c-1)/2+bb*(bb-1)/2+(n-bb)*bb;
            int sum=c*(c-1)/2+bb*(bb-1)/2+(c-1)*(n-c)+bb+bb*(n-c-bb);
            //cout<<c<<" "<<b<<" ---> "<<c<<" "<<bb<<" "<<sum<<endl;
            if(sum!=k)continue;

            a[1]=1;
            for(int i=2;i<=c;i++)a[i]=a[i-1]+x;

            for(int i=c+1;i<=b-1;i++)a[i]=a[i-1];
            for(int i=b;i<=n;i++)a[i]=a[i-1]+x;

            for(int i=1;i<=n;i++)cout<<a[i]<<" ";
            return 0;
        }
    }*/



    cout<<-1;
    return 0;
}